# ListActions Method

## Description

Retrieves the list of actions.

## HTTP Request

`GET https://api.skeddly.com/api/Actions`

## Query Parameters

### include

A comma-separated list of extra data to include.

Type: `string`

Valid Values:

* `displayData`
* `lastExecution`
* `parameters`
* `runningCount`

Required: No

### filter.actionClasses

A comma-separated list of types of actions.

Type: `string`

Value Values:

* `standard`
* `managedInstances`

Required: No

### filter.actionTypes

A comma-separated list of action types.

Type: `string`

Required: No

### filter.credentialIds

A comma-separated list of credential IDs.

Type: `string`

Required: No

### filter.isEnabled

Include action that are enabled or disabled only.

Type: `boolean`

Required: No

### filter.managedInstanceIds

Comma-separated list of Managed Instance IDs.

Type: `string`

Required: No

### filter.projectIds

A comma-separated list of projects to include.

Type: `string`

Default: All projects

Required: No

### filter.regions

Comma-separated list of region system names.

Type: `string`

Required: No

### filter.tags

Comma-separated list of tags.

Type: `string`

Required: No

### filter.tagsRequired

Indicates whether all tags are required. Valid values include: any, all.

Type: `string`

Valid Values:

* `any`
* `all`

Required: No

Default: `any`

## Returns

Array of [Action](/data-types/action-object.md) objects.

## Sample Request

{% tabs %}
{% tab title="HTTP" %}

```http
GET /api/Actions HTTP/1.1
Host: api.skeddly.com
Authorization: AccessKey <api key>
```

{% endtab %}

{% tab title="Bash" %}

```bash
curl "https://api.skeddly.com/api/Actions" \
  -H "Authorization: AccessKey <api key>"
```

{% endtab %}

{% tab title="Python" %}

```python
import skeddly
client = skeddly.Client()
actions = client.list_actions()
```

{% endtab %}
{% endtabs %}

## Sample Response

```javascript
[
  {
    "actionId": "a-00000001",
    "actionType": "amazon-start-ec2-instances",
    "actionVersionId": "av-00000001",
    "comments": "Comments about this action",
    "isCurrentVersion": true,
    "isEnabled": true,
    "lastModifiedBy": "u-00000001",
    "lastModifiedDate": "2016-06-09T12:21:00Z",
    "managedInstanceId": "mi-00000001",
    "name": "Start My Instances",
    "nextExecutionDate": "2016-06-10T12:23:00Z",
    "projectId": "proj-00000001",
    "schedule": {
      "scheduleType": "daily",
      "startDate": "2016-06-10",
      "timeOfDay": "12:23:00",
      "timeZoneId": "Eastern Standard Time",
      "parameters": {
        "days": [
          "monday",
          "tuesday",
          "wednesday",
          "thursday",
          "friday"
        ]
      }
    },
    "tags": [
      "cost-reduction"
    ]
  }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/resources/actions/listactions-method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
